Bug 1690707 - MCO should not report extra component versions beyond operator
Summary: MCO should not report extra component versions beyond operator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Antonio Murdaca
QA Contact: Micah Abbott
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-20 04:14 UTC by Clayton Coleman
Modified: 2019-06-04 10:46 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:19 UTC

Description Clayton Coleman 2019-03-20 04:14:59 UTC
MCO is currently reporting:

v1.OperandVersion{Name:"machineconfigcontroller", Version:"registry.svc.ci.openshift.org/ci-op-p9zkxqp8/stable@sha256:1a1bcfaa15239d39baa6cbe453e2e3c5bf5628d80878e7d55d71876846bbf250"}, 
v1.OperandVersion{Name:"machineconfigdaemon", Version:"registry.svc.ci.openshift.org/ci-op-p9zkxqp8/stable@sha256:d07c2e8996b54c3c63c718f45ef995c44464bbd0982baf50aea4602d8311330d"}, 
v1.OperandVersion{Name:"machineconfigserver", Version:"registry.svc.ci.openshift.org/ci-op-p9zkxqp8/stable@sha256:d7911951b55ed52247b9a6c5bc4e4008ca15411bb41bf699a456c1c08b722adf"}

as well as "operator".  It should only report "operator", operand versions are reserved for meaningful components to a top level admin at this point and these would not qualify.

A future revision may add the version of RHCoS it is offering, for example (don't add now, there is other work that needs to be done).

Please remove.

Comment 1 Antonio Murdaca 2019-03-20 13:07:57 UTC
Fix is in https://github.com/openshift/machine-config-operator/pull/562

Comment 2 Antonio Murdaca 2019-03-23 19:20:30 UTC
Moviding to MODIFIED so QE can test it out

Comment 4 Micah Abbott 2019-05-07 17:31:25 UTC
Grabbed a recent successful `e2e-aws` run against an MCO PR and checked the `clusteroperators.json`:

https://storage.googleapis.com/origin-ci-test/pr-logs/pull/openshift_machine-config-operator/713/pull-ci-openshift-machine-config-operator-master-e2e-aws/3511/artifacts/e2e-aws/clusteroperators.json

       {
            "apiVersion": "config.openshift.io/v1",
            "kind": "ClusterOperator",
            "metadata": {
                "creationTimestamp": "2019-05-07T15:34:39Z",
                "generation": 1,
                "name": "machine-config",
                "resourceVersion": "8484",
                "selfLink": "/apis/config.openshift.io/v1/clusteroperators/machine-config",
                "uid": "a07e02a9-70dd-11e9-b5c0-126fcd882fbc"
            },
            "spec": {},
            "status": {
                "conditions": [
                    {
                        "lastTransitionTime": "2019-05-07T15:35:09Z",
                        "message": "Cluster has deployed 0.0.1-2019-05-07-151745",
                        "status": "True",
                        "type": "Available"
                    },
                    {
                        "lastTransitionTime": "2019-05-07T15:35:09Z",
                        "message": "Cluster version is 0.0.1-2019-05-07-151745",
                        "status": "False",
                        "type": "Progressing"
                    },
                    {
                        "lastTransitionTime": "2019-05-07T15:34:39Z",
                        "status": "False",
                        "type": "Degraded"
                    }
                ],
                "extension": {
                    "master": "all 3 nodes are at latest configuration rendered-master-98ec3b296a6f314c6740703faacc3708",
                    "worker": "all 3 nodes are at latest configuration rendered-worker-2613da883f56410bd84e717041eca667"
                },
                "relatedObjects": [
                    {
                        "group": "",
                        "name": "openshift-machine-config-operator",
                        "resource": "namespaces"
                    }
                ],
                "versions": [
                    {
                        "name": "operator",
                        "version": "0.0.1-2019-05-07-151745"
                    }
                ]
            }
        },




Only `operator` is included; moving to VERIFIED

Comment 6 errata-xmlrpc 2019-06-04 10:46:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.